routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('welcome');
});*/

Auth::routes(['verify' => true]);

/* landing page */
Route::get('/', 'MainController@index')->name('main');
Route::get('/news', 'NewsController@index')->name('news');
Route::get('/about', 'MainController@about')->name('about');
Route::get('/faq', 'MainController@faq')->name('faq');

/*Admin page*/
Route::get('/admin', 'Admin\AdminController@index')->name('admin')->middleware('auth', 'checkadmin');
Route::get('/admin/user', 'Admin\UserController@index')->name('admin-user')->middleware('auth', 'checkadmin');
Route::get('/admin/user/review/{id}', 'Admin\UserController@show')->where('id', '[0-9]+')->name('admin-user-review')->middleware('auth', 'checkadmin');
Route::post('/admin/user/review/', 'Admin\UserController@verification')->name('admin-user-verification')->middleware('auth', 'checkadmin');
Route::get('/admin/jasa', 'Admin\JasaController@index')->name('admin-jasa')->middleware('auth', 'checkadmin');
Route::get('/admin/jasa/review/{id}', 'Admin\JasaController@review')->where('id', '[0-9]+')->name('admin-jasa-review')->middleware('auth', 'checkadmin');
Route::post('/admin/jasa/review/{id}', 'Admin\JasaController@reviewpost')->where('id', '[0-9]+')->name('admin-jasa-review-post')->middleware('auth', 'checkadmin');
Route::get('/admin/category', 'Admin\CategoryController@index')->name('admin-category')->middleware('auth', 'checkadmin');
Route::post('/admin/category', 'Admin\CategoryController@store')->name('admin-create-category')->middleware('auth', 'checkadmin');
Route::get('/admin/category/edit', 'Admin\CategoryController@edit')->name('admin-category-edit')->middleware('auth', 'checkadmin');
Route::post('/admin/category/edit', 'Admin\CategoryController@update')->name('admin-category-update')->middleware('auth', 'checkadmin');
Route::resource('/admin/adminpayment', 'Admin\PaymentController')->middleware(
    'auth', 'checkadmin'
);
Route::resource('/admin/site', 'Admin\SiteController')->middleware('auth', 'checkadmin');
Route::resource('/admin/hero/mitra', 'Admin\Hero\MitraController', ['as' => 'admin.hero'])->middleware('auth', 'checkadmin');
Route::resource('/admin/hero', 'Admin\HeroController', ['as' => 'admin'])->middleware('auth', 'checkadmin');

/* User */
Route::get('/user/profile', 'User\UserController@index')->name('user');
Route::post('/user/profile', 'User\UserController@update')->name('updateuser');
Route::post('/user/updatepp', 'User\UserController@updatepp')->name('updatepp');
Route::post('/user/updatepass', 'User\UserController@updatepass')->name('updatepass');
Route::get('/user/jasa', 'User\JasaController@index')->name('user-jasa')->middleware('checkidentitas');
Route::post('/user/jasa', 'User\JasaController@create')->name('user-create-jasa');
Route::post('/user/jasa/imgupload', 'User\JasaController@imgupload')->name('user-imgupload');
Route::get('/user/order', 'User\OrderController@show')->name('user-order')->middleware('auth');
Route::post('/user/order/konfirmasi', 'User\OrderController@confirm')->name('user-order-confirm')->middleware('auth');
Route::post('/user/order/cancel', 'User\OrderController@ordercancel')->name('user-order-cancel')->middleware('auth');
Route::resource('/user/hero', 'User\HeroController')->middleware('auth', 'verified');
Route::resource('/user/hero/customer', 'User\Hero\CustomerController', ['as' => 'hero'])->middleware('auth', 'verified');
Route::resource('/user/hero/mitra', 'User\Hero\MitraController', ['as' => 'hero'])->middleware('auth', 'verified');

/* Jasa */
Route::get('/jasa', 'Jasa\JasaController@index')->name('jasa');
Route::get('/jasa/c/{id}-{name}', 'Jasa\JasaController@index')->name('jasa-category')->where('id', '[0-9]+');
Route::get('/jasa/s/{id}-{name}', 'Jasa\JasaController@detail')->name('jasa-detail')->where('id', '[0-9]+');
Route::get('/jasa/o/{id?}-{name?}', 'Jasa\OrderController@index')->name('jasa-order')->where('id', '[0-9]+')->middleware('auth', 'checkalamat', 'checkidentitas');
Route::post('/jasa/o', 'Jasa\OrderController@store')->name('jasa-order-add')->where('id', '[0-9]+')->middleware('auth', 'checkalamat');
Route::get('/jasa/search/', 'Jasa\SearchController@show')->name('jasa-search');

/* Order */
Route::get('/order', 'Order\OrderController@index')->name('order')->middleware('checkjasa');
Route::post('/order/store', 'Order\OrderController@store')->name('order-store')->middleware('checkjasa');
Route::post('/order/done', 'Order\OrderController@done')->name('order-done')->middleware('checkjasa');
Route::resource('/order/userpayment', 'PaymentController');

/* Product */
//Route::post('/product/add', 'User\ProductController@store')->name('product-add');
Route::resource('product', 'User\ProductController');

/* Ajax */
Route::get('/ajax/address/provinsi/{id?}', 'Ajax\AddressController@provinsi')->name('ajax-address-provinsi');
Route::get('/ajax/address/kabkota/{id?}', 'Ajax\AddressController@kabkota')->name('ajax-address-kabkota');
Route::get('/ajax/address/kecamatan/{id?}', 'Ajax\AddressController@kecamatan')->name('ajax-address-kecamatan');
Route::post('/ajax/address/add', 'Ajax\AddressController@store')->name('ajax-address-store');
Route::resource('favorite', 'User\FavoriteController');

/*Gallery*/
Route::get('/gallery', 'Gallery\GalleryController@index')->name('gallery');

/*Notif*/
Route::get('pemberitahuan/read', 'Pemberitahuan\PemberitahuanController@read')->name('notifmarkasread')->middleware('auth');
Route::resource('pemberitahuan', 'Pemberitahuan\PemberitahuanController')->middleware('auth');

app/Payment.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Payment extends Model
{
    //
    protected $table = 'payments';

    public function user()
    {
        return $this->belongsTo('App\User');
    }

    public function order()
    {
        return $this->belongsTo('App\Order');
    }
}

app/Http/Controllers/Admin/PaymentController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Jasa;
use App\Payment;
use Auth;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class PaymentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $user = Auth::user();
        $payments = Payment::with('user')->get();
        return view("admin.payment.index", [
            'user' => $user,
            'payments' => $payments
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $user = Auth::user();
        $payment = Payment::find($id);
        return view("admin.payment.review", [
            'user' => $user,
            'payment' => $payment
        ]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $payment = Payment::find($id);
        $payment->status = 3;
        $payment->save();
        return redirect()->route('adminpayment.index')->with('success', 'Berhasil melakukan konfirmasi pembayaran: #'. $id .' '. $payment->order->product->name);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/PaymentController.php
<?php

namespace App\Http\Controllers;

use App\Mail\VerifyPayment;
use App\Payment;
use File;
use Illuminate\Http\Request;
use Image;
use Storage;
use Validator;

class PaymentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $payment = Payment::where('order_id', $request->orderid)->first();
        $payment->nama = $request->nama;
        $payment->norek = $request->norek;
        $payment->status = 2;
        $validator = Validator::make($request->all(),
            [
                'bukti' => 'required|image|mimes:jpeg,png,jpg,gif|max:5024',
            ],
            [
                'bukti.mimes' => 'Upload foto profil menggunakan format jpeg/jpg/png/gif',
                'bukti.max' => 'Ukuran maksimal foto profil yaitu 5024 KB',
            ]);
        if ($validator->passes()) {
            if (isset($payment->bukti)){
                File::delete('images/payment/' . $payment->bukti);
            }
            $image = Image::make($request->file('bukti'));
            $filename = rand() . '.' . $request->file('bukti')->getClientOriginalExtension();
            $image->stream();
            Storage::disk('public_upload')->put('images/payment/' . $filename, $image, 'public');
            $payment->bukti = $filename;
            $payment->save();
            \Mail::to(config('mail.from.address'))->send(new VerifyPayment($payment));
            return redirect()->back()->with('status', 1);
        }
        else{
            return redirect()->back()->with('error', 1);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Payment  $payment
     * @return \Illuminate\Http\Response
     */
    public function show(Payment $payment)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Payment  $payment
     * @return \Illuminate\Http\Response
     */
    public function edit(Payment $payment)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Payment  $payment
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Payment $payment)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Payment  $payment
     * @return \Illuminate\Http\Response
     */
    public function destroy(Payment $payment)
    {
        //
    }
}

resources/views/admin/payment/index.blade.php
@extends('layouts.admin')
@section('title', 'Pembayaran')
@section('content')
    <section class="content-header">
        <h1>Pembayaran</h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Pembayaran</a></li>
        </ol>
        @if ($message = Session::get('success'))
            <div class="alert alert-success alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                {{ $message }}
            </div>
        @endif
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header with-border">
                        <h3 class="box-title">Pembayaran User</h3>
                    </div>
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table id="paymentsList" class="table table-bordered table-striped">
                                    <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Nama Pembayar</th>
                                        <th>Tanggal Pembayarn</th>
                                        <th>Status Pembayaran</th>
                                        <th>Aksi</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach ($payments as $payment)
                                        <tr>
                                            <td>{{$payment->id}}</td>
                                            <td>{{$payment->user->name}}</td>
                                            <td>{{$payment->user->created_at}}</td>
                                            <td>
                                                @php
                                                    switch ($payment->status){
                                                    case 1:
                                                    echo '<span class="label label-info">Pesanan belum dikonfirmasi penyedia jasa</span>';
                                                    break;
                                                    case 2:
                                                    echo '<span class="label label-warning">Belum dikonfirmasi</span>';
                                                    break;
                                                    case 3:
                                                    echo '<span class="label label-success">Sudah dikonfirmasi</span>';
                                                    break;
                                                    case 4:
                                                    echo '<span class="label label-primary">Pesanan telah selesai</span>';
                                                    break;
                                                    case 5:
                                                    echo '<span class="label label-primary">Pembayaran telah dikirim</span>';
                                                    break;
                                                    }
                                                @endphp
                                            </td>
                                            <td><a href="{!! route('adminpayment.show', ['adminpayment'=>$payment->id]) !!}"
                                                   style="text-decoration: none; color: inherit;"><span class="glyphicon glyphicon-tasks"></span></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/admin/payment/review.blade.php
@extends('layouts.admin')
@section('title', 'Review Jasa')
@section('content')
    <section class="content-header">
        <h1>Review Pembayaran</h1>
        <ol class="breadcrumb">
            <li><a href="{{ route('adminpayment.index') }}"><i class="fa fa-dashboard"></i> Pembayaran</a></li>
            <li class="active">Review Pembayaran</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-widget widget-user-2">
                    <div class="widget-user-header bg-blue text-center">
                        <h3 class="widget-user-username"
                            style="margin-left: 0">{{ $payment->order->product->name }}</h3>
                    </div>
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-2">ID</div>
                                    <div class="col-md-10">: {{ $payment->id }}</div>
                                </div>
                                <div class="row">
                                    <div class="col-md-2">Nama Pengguna</div>
                                    <div class="col-md-10">: {{ $payment->order->user->name }}</div>
                                </div>
                                <div class="row">
                                    <div class="col-md-2">Nama Layanan</div>
                                    <div class="col-md-10">: <a
                                                href="{{ route('jasa-detail', ['id' => $payment->order->product->id, 'name' => urlencode(str_replace(' ', '-', $payment->order->product->name))]) }}"
                                                target="_blank">{{ $payment->order->product->name }}</a></div>
                                </div>
                                <div class="row">
                                    <div class="col-md-2">Tanggal Pembayaran</div>
                                    <div class="col-md-10">
                                        : {{ date('d F Y, H:i:s', strtotime($payment->created_at)) }}</div>
                                </div>
                                <div class="row">
                                    <div class="col-md-2">Nominal Pembayaran</div>
                                    <div class="col-md-10">: Rp. {{ number_format($payment->nominal,0,',','.') }}</div>
                                </div>
                                <div class="row">
                                    <div class="col-md-2">Bukti Pembayaran</div>
                                    <div class="col-md-10">:<img
                                                src="{{ asset('storage/images/payment/'. $payment->bukti) }}" alt=""
                                                class="img-responsive" width="50%"></div>
                                </div>
                                {{--<div class="table-responsive">
                                    --}}{{--<table class="table">
                                        <tbody>
                                        <tr>
                                            <th width="20%">ID</th>
                                            <td>{{ $jasa->id }}</td>
                                        </tr>
                                        <tr>
                                            <th>Penyedia Jasa</th>
                                            <td>{{ $jasa->user->name }}</td>
                                        </tr>
                                        <tr>
                                            <th>Tanggal Pembuatan</th>
                                            <td>{{ date('d F Y', strtotime($jasa->created_at)) }}</td>
                                        </tr>
                                        <tr>
                                            <th>Deskripsi Jasa</th>
                                            <td>{{ $jasa->deskripsi }}</td>
                                        </tr>
                                        <tr>
                                            <th>Provinsi</th>
                                            <td>{{ \Indonesia::findProvince($jasa->provinsi)->name }}</td>
                                        </tr>
                                        <tr>
                                            <th>Kabupaten/Kota</th>
                                            <td>{{ \Indonesia::findCity($jasa->kabkota)->name }}</td>
                                        </tr>
                                        <tr>
                                            <th>Kecamatan</th>
                                            <td>{{ \Indonesia::findDistrict($jasa->kecamatan)->name }}</td>
                                        </tr>
                                        <tr>
                                            <th>Desa</th>
                                            <td>{{ \Indonesia::findVillage($jasa->desa)->name }}</td>
                                        </tr>
                                        <tr>
                                            <th>Alamat</th>
                                            <td>{{ $jasa->alamat }}</td>
                                        </tr>
                                        <tr>
                                            <th>Foto Jasa</th>
                                            @php
                                                $images = explode("|", $jasa->image);
                                            @endphp
                                            <td>
                                                @foreach ($images as $image)
                                                    <img class="img-fluid"
                                                         src="{{ asset("storage/images/jasa/").'/'.$image}}"
                                                         alt="" width="300" height="auto">
                                                @endforeach
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>--}}{{--
                                </div>--}}
                            </div>
                        </div>
                    </div>
                    <div class="box-footer">
                        <form method="POST" action="{{ route('adminpayment.update', ['id' => $payment->id]) }}">
                            <div class="box-footer text-center">
                                @csrf
                                @method('PATCH')
                                <input type="text" name="id" value="{{ $payment->id }}" hidden="true">
                                @if($payment->status == 2)
                                    <button type="submit" class="btn btn-primary mr-2" name="status" value="1">Konfirmasi
                                        Pembayaran
                                    </button>
                                @elseif($payment->status == 4)
                                    <button type="submit" class="btn btn-primary" name="status" value="2">Selesaikan
                                        Pembayaran
                                    </button>
                                @endif
                                <button type="submit" class="btn btn-default" name="status" value="3">Batal</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection